import Api from '@/api';
import type { TableColumn } from '@/components/core/dynamic-table';

export type TableListItem = API.VehicleUsageEntity;
export type TableColumnItem = TableColumn<TableListItem>;
export const baseColumns: TableColumnItem[] = [
  {
    title: '外出使用的车辆名称及车牌号',
    dataIndex: 'vechicle',
    customRender: ({ record }) => {
      return record?.vechicle?.label || '';
    },
  },
  {
    title: '申请人',
    dataIndex: 'applicant',
  },
  {
    title: '出行司机',
    dataIndex: 'driver',
  },
  // /** 外出使用的车辆Id */
  // vechicleId: number;
  // /** 外出使用的车辆名称(字典) */
  // vechicle: DictItemEntity;
  // /** 申请人 */
  // applicant: string;
  // /** 出行司机 */
  // driver: string;
  // /** 当前车辆里程数(KM) */
  // currentMileage: number;
  // /** 预计出行开始时间 */
  // expectedStartDate: Date;
  // /** 预计出行结束时间 */
  // expectedEndDate: Date;
  // /** 使用事由 */
  // purpose: string;
  // /** 实际回司时间 */
  // actualReturnTime: Date;
  // /** 回城车辆里程数(KM) */
  // returnMileage: number;
  // /** 审核人 */
  // reviewer: string;
  // /** 审核状态：0待审核，1同意，2.不同意(字典) */
  // status: number;
  // /** 备注 */
  // remark: string;
  // {
  //   title: '所属公司',
  //   dataIndex: 'company',
  //   customRender: ({ record }) => {
  //     return record?.company?.name || '';
  //   },
  // },
  // {
  //   title: '单位',
  //   dataIndex: 'unit',
  //   customRender: ({ record }) => {
  //     return record?.unit?.label || '';
  //   },
  // },
];
